samza-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremiah Adams <JAd...@helixeducation.com>
Subject Open JDK 11 Early Results
Date Mon, 01 Oct 2018 22:43:24 GMT
Samza master branch does not build on Open JDK 11. It fails with a Gradle issue. Opened an
issue with Gradle here: https://github.com/gradle/gradle/issues/6981  

”Could not determine java version from '11'.”

I Tried running all the dependencies in Hello-Samza via Grid. Yarn behaved as I expected and
did not start. It is likely that Yarn is the biggest risk. 

Hadoop-2.6.1 - does not start on Open JDK 11
Kafka-2.11-0.10.2.1 - does not start on Open JDK 11
Zookeeper-3.4.3 - starts on Open JDK 11


I updated Grid to recent versions and Yarn continued to misbehave:

Hadoop: 3.1.1 - Does not start on Open JDK 11
Kafka: - 2.11-2.0.0 - Starts on Open JDK 11
Zookeeper: 3.4.13 - Starts on Open JDK 11

I can’t really test anything interesting until Yarn can play nice on JDK 11.



Jeremiah Adams
Software Engineer
www.helixeducation.com
Blog | Twitter | Facebook | LinkedIn

________________________________________
From: Yi Pan <nickpan47@gmail.com>
Sent: Tuesday, September 25, 2018 9:09 AM
To: dev@samza.apache.org
Subject: Re: Java 11, Oracle Java and OpenJDK Release Cadence

Hey, Jeremiah,

Sorry to reply late. The team is pretty busy for Samza 1.0 preparation
these days.

Regarding to Java 11 and the steps forward:
1. I don't have objection to adopt OpenJDK, as long as Samza code and
compile and run on it. It might be an interesting issue since Samza also
depends on other open source projects (like ZooKeeper and Kafka) which may
not be test w/ OpenJDK yet.
2. It would be great if you can have some test build/run of Samza with Java
11 (I assume with OpenJDK?) and report the results back to the community
3. We can start a formal poll and vote when we know what it takes to adopt
OpenJDK

Does that sound good to you? Thanks!

-Yi


Mime
View raw message